> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of Export Jobs

> Fetch a list of export jobs.



## OpenAPI

````yaml get /v3/export-jobs
openapi: 3.0.1
info:
  title: Export API
  description: >
    This API enables you to perform the following:

    - Retrieve a list of accounting entries that have been exported to the
    external ERP/accounting system.

    - Create a new export job event.

    - Retrieve a list of existing export jobs and create a new one.

    - Retrieve details of an export job.

    - Retrieve a list of export job items and update their information.
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 32.4.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: health
  - name: export-items
  - name: export-jobs
  - name: admin
  - name: export-job-items
  - name: Export API (v2)
  - name: Export Items (v2)
  - name: Export API (v3)
  - name: Export Items (v3)
paths:
  /v3/export-jobs:
    get:
      tags:
        - Export API (v3)
      summary: Get a list of Export Jobs
      description: Fetch a list of export jobs.
      operationId: getExportJobsListV3
      parameters:
        - name: company_id
          in: query
          description: >-
            Enter the company ID for which you want to retrieve the list of
            export jobs processed previously.
          required: false
          style: form
          explode: true
          schema:
            type: string
            format: uuid
        - name: statuses
          in: query
          description: Fetch a list of jobs in specific states.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ExportJobStatus'
        - name: before
          in: query
          description: >-
            Lower bound of the page of data to return (cannot be used together
            with [after] or [offset]).
          required: false
          style: form
          explode: true
          schema:
            pattern: ^[A-Z2-7=~]+$
            type: string
        - name: after
          in: query
          description: >-
            Upper bound of the page of data to return (cannot be used together
            with [before] or [offset]).
          required: false
          style: form
          explode: true
          schema:
            pattern: ^[A-Z2-7=~]+$
            type: string
        - name: offset
          in: query
          description: >-
            Offset of the page of data to return (cannot be used together with
            [before] or [after]).
          required: false
          style: form
          explode: true
          schema:
            minimum: 0
            type: integer
            format: int64
        - name: limit
          in: query
          description: The maximum amount of items to return.
          required: false
          style: form
          explode: true
          schema:
            minimum: 0
            type: integer
            format: int32
        - name: sorting_keys
          in: query
          description: The keys to sort the results by.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: sorting_order
          in: query
          description: >-
            The order to sort the results by. Must be the same length as
            [sortingKeys]; one order per key.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PageOrder'
      responses:
        '200':
          description: >-
            List of export jobs. If no jobs are found, an empty list is
            returned.
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/CursorPaginatedResponseExportJobV3'
components:
  schemas:
    ExportJobStatus:
      type: string
      enum:
        - pending
        - in_progress
        - failed
        - completed
        - completed_with_errors
    PageOrder:
      type: string
      enum:
        - ASC
        - ASC_NULLS_FIRST
        - ASC_NULLS_LAST
        - DESC
        - DESC_NULLS_FIRST
        - DESC_NULLS_LAST
    CursorPaginatedResponseExportJobV3:
      required:
        - data
        - pagination
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExportJobV3'
        pagination:
          $ref: '#/components/schemas/CursorPageInfo'
    ExportJobV3:
      required:
        - companyId
        - createdAt
        - expiresIn
        - id
        - isInteractive
        - numberOfItems
        - status
        - vendorBasedBookkeeping
      type: object
      properties:
        companyId:
          type: string
          description: The Pleo unique identifier of the company the export job belongs to.
          format: uuid
        completedAt:
          pattern: YYYY-MM-DDTHH:mi:ssZ
          type: string
          description: Date and time when the export job was completed.
          format: date-time
          nullable: true
        createdAt:
          pattern: YYYY-MM-DDTHH:mi:ssZ
          type: string
          description: >-
            Date and time when the export job was initiated by the user, that
            is, when the user clicked the Export button in the Pleo application.
          format: date-time
        createdBy:
          type: string
          description: >-
            This is the Pleo unique identifier of the user that initiated the
            export job.
          format: uuid
          nullable: true
          default: null
        expiredAt:
          pattern: YYYY-MM-DDTHH:mi:ssZ
          type: string
          description: Date and time when the export job expired.
          format: date-time
          nullable: true
        expiresIn:
          type: integer
          description: >-
            The time in seconds when the job will expire; calculated since the
            last action. The last time an action was taken on the job is
            reflected in the `lastUpdatedAt` attribute.
          format: int32
        failureReason:
          type: string
          description: Reason why the job failed in the case of a failure.
          nullable: true
        failureReasonType:
          type: string
          description: This can be one of ExportJobFailureReasonType values
          example: invalid_configuration
        id:
          type: string
          description: The unique identifier generated by Pleo for the export job.
          format: uuid
        isInteractive:
          type: boolean
          description: >-
            Indicates whether the export job was initiated by a user or by the
            system.
        lastUpdatedAt:
          pattern: YYYY-MM-DDTHH:mi:ssZ
          type: string
          description: Last time the job was updated or action on the job was taken.
          format: date-time
          nullable: true
        numberOfItems:
          type: integer
          description: Number of accounting entries that were selected for processing.
        startedAt:
          pattern: YYYY-MM-DDTHH:mi:ssZ
          type: string
          description: >-
            Date and time when the export job was started - this indicates the
            time when the export job event was triggered to change the status of
            the export job to in_progress.
          format: date-time
          nullable: true
        status:
          type: string
          description: This can be one of ExportJobStatus values
          example: pending
        vendorBasedBookkeeping:
          type: boolean
          description: >-
            When enabled, the export items would include vendor and bookkeeping
            data
    CursorPageInfo:
      required:
        - currentRequestPagination
        - hasNextPage
        - hasPreviousPage
      type: object
      properties:
        currentRequestPagination:
          $ref: '#/components/schemas/CursorPageCurrentRequestInfo'
        endCursor:
          type: string
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        startCursor:
          type: string
        total:
          type: integer
          format: int64
    CursorPageCurrentRequestInfo:
      required:
        - parameters
      type: object
      properties:
        after:
          type: string
        before:
          type: string
        limit:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        parameters:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        sortingKeys:
          type: array
          items:
            type: string
        sortingOrder:
          type: array
          items:
            $ref: '#/components/schemas/PageOrder'
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````